/*

  P-Code interpreter (to run the apple pascal system)
  Copyright (C) 2000 Mario Klebsch

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

#define SET_SIZE	512

typedef struct set
{
  word		Size;
  word		Data[SET_SIZE/16];
} Set_t;


void SetPop(Set_t *Set);
void SetAdj(Set_t *Set, word Size);
void SetPush(Set_t *Set);
int SetCmp(Set_t *Set1, Set_t *Set2);
int SetIsSubset(Set_t *S, Set_t *SS);
